# PointerChange enum

How the pointer has changed since the last report.

## Constants

add → const PointerChange

  The device has started tracking the pointer.

  For example, the pointer might be hovering above the device, having not yet made contact with the surface of the device.

  `const PointerChange(1)`
cancel → const PointerChange

  The input from the pointer is no longer directed towards this receiver.

  `const PointerChange(0)`
down → const PointerChange

  The pointer has made contact with the device.

  `const PointerChange(4)`
hover → const PointerChange

  The pointer has moved with respect to the device while not in contact with the device.

  `const PointerChange(3)`
move → const PointerChange

  The pointer has moved with respect to the device while in contact with the device.

  `const PointerChange(5)`
remove → const PointerChange

  The device is no longer tracking the pointer.

  For example, the pointer might have drifted out of the device's hover detection range or might have been disconnected from the system entirely.

  `const PointerChange(2)`
up → const PointerChange

  The pointer has stopped making contact with the device.

  `const PointerChange(6)`
values → const List<PointerChange>

  A constant List of the values in this enum, in order of their declaration.

  `const List<PointerChange>`

## Properties

index → int

  The integer index of this enum.

  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited